## kleborate 1.0.0

=== requirements.txt ===
biopython

=== debian/changelog ===
kleborate (1.0.0-3) unstable; urgency=medium

  * Depends: python3-distutils

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jan 2020 12:55:22 +0100

kleborate (1.0.0-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jan 2020 11:51:21 +0100

kleborate (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #949030)

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jan 2020 13:12:17 +0100

=== debian/control ===
Source: kleborate
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-setuptools,
               ncbi-blast+ <!nocheck>,
               mash <!nocheck>,
               kaptive <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/kleborate
Vcs-Git: https://salsa.debian.org/med-team/kleborate.git
Homepage: https://github.com/katholt/Kleborate

Package: kleborate
Architecture: any
Depends: ${python3:Depends},
         ${misc:Depends},
         ncbi-blast+,
         mash,
         kaptive,
         kaptive-data,
         python3-distutils
Recommends: python3-biopython
Description: tool to screen Klebsiella genome assemblies
 Kleborate is a tool to screen Klebsiella genome assemblies for:
 .
  * MLST sequence type
  * species (e.g. K. pneumoniae, K. quasipneumoniae, K. variicola, etc.)
  * ICEKp associated virulence loci: yersiniabactin (ybt),
    colibactin (clb)
  * virulence plasmid associated loci: salmochelin (iro), aerobactin
    (iuc), hypermucoidy (rmpA, rmpA2)
  * antimicrobial resistance genes, including quinolone resistance SNPs
    and colistin resistance truncations
  * K (capsule) and O antigen (LPS) serotype prediction, via wzi alleles
    and Kaptive

Package: kleborate-examples
Architecture: all
Depends: ${misc:Depends}
Recommends: kleborate
Description: tool to screen Klebsiella genome assemblies (example data)
 Kleborate is a tool to screen Klebsiella genome assemblies for:
 .
  * MLST sequence type
  * species (e.g. K. pneumoniae, K. quasipneumoniae, K. variicola, etc.)
  * ICEKp associated virulence loci: yersiniabactin (ybt),
    colibactin (clb)
  * virulence plasmid associated loci: salmochelin (iro), aerobactin
    (iuc), hypermucoidy (rmpA, rmpA2)
  * antimicrobial resistance genes, including quinolone resistance SNPs
    and colistin resistance truncations
  * K (capsule) and O antigen (LPS) serotype prediction, via wzi alleles
    and Kaptive
 .
 This package provides example data end tests that are used in autopkgtest.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	# fasta.nin files will be (re)build at package installation time to not contain build path
	find debian -name "*.fasta.nin" -delete

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.msh" -exec chmod -x \{\} \;

=== debian/watch ===
version=4

https://github.com/katholt/Kleborate/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## kleborate 2.0.1

=== debian/changelog ===
kleborate (2.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 09 Dec 2020 01:16:32 +0530

kleborate (2.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 15 Nov 2020 08:07:58 +0100

kleborate (1.0.0-4) unstable; urgency=medium

  [ Andreas Tille ]
  * Comment debugging code in postinst

  [ Étienne Mollier ]
  * Added myself to uploaders.
  * Improved build reproducibility.
  * Fixed FTBFS with python-biopython 1.78.
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 19 Sep 2020 18:06:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: kleborate
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <etienne.mollier@mailoo.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-setuptools,
                ncbi-blast+ <!nocheck>,
                mash <!nocheck>,
                kaptive <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/kleborate
 Vcs-Git: https://salsa.debian.org/med-team/kleborate.git
 Homepage: https://github.com/katholt/Kleborate
+Rules-Requires-Root: no
 
 Package: kleborate
 Architecture: any

## kleborate 2.2.0

=== debian/changelog ===
kleborate (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * d/copyright: update contributors and years.

 -- Étienne Mollier <emollier@debian.org>  Fri, 11 Feb 2022 13:55:20 +0100

kleborate (2.1.0-2) unstable; urgency=medium

  * add bigendian.patch: fixes ftbfs on s390x. (Closes: #994714)
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + kleborate-examples: Add Multi-Arch: foreign.

 -- Étienne Mollier <emollier@debian.org>  Wed, 22 Sep 2021 18:54:42 +0200

kleborate (2.1.0-1) unstable; urgency=medium

  * Team Upload.
  * d/watch: Remove useless uupdate
  * New upstream version 2.1.0

 -- Nilesh Patra <nilesh@debian.org>  Wed, 25 Aug 2021 21:02:42 +0000

kleborate (2.0.4-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * d/watch: Fix watch regex
  * New upstream version 2.0.4

  [ Étienne Mollier ]
  * d/control: update uploader address
  * d/watch: fix broken link to github

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 18:50:33 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kleborate
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Étienne Mollier <etienne.mollier@mailoo.org>
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -11,7 +11,7 @@
                ncbi-blast+ <!nocheck>,
                mash <!nocheck>,
                kaptive <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/kleborate
 Vcs-Git: https://salsa.debian.org/med-team/kleborate.git
 Homepage: https://github.com/katholt/Kleborate
@@ -45,6 +45,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: kleborate
+Multi-Arch: foreign
 Description: tool to screen Klebsiella genome assemblies (example data)
  Kleborate is a tool to screen Klebsiella genome assemblies for:
  .

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export LC_ALL=C
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

https://github.com/katholt/Kleborate/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## kleborate 2.3.1

=== debian/changelog ===
kleborate (2.3.1-2) unstable; urgency=medium

  * d/{rules,*.prerm}: cleanup .fasta.{ndb,ntf} files
    kleborate binary package  used to embed autogenerated files depending
    on makeblastdb version at both build time and postinst time.  When
    there is a discrepancy of makeblastdb version between the package
    build and the package installation, for instance during a major
    operating system upgrade, there can be a mismatch of int the
    .fasta.ndb and .fasta.ntf files produced and expected.  This change
    gets rid of the build time artifacts to solely rely on the
    post-installation artifacts, which will be more consistent and won't
    break the package consistency. (Closes: #1036743)

 -- Étienne Mollier <emollier@debian.org>  Thu, 25 May 2023 14:48:18 +0200

kleborate (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 06 Feb 2023 07:37:51 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                ncbi-blast+ <!nocheck>,
                mash <!nocheck>,
                kaptive <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/kleborate
 Vcs-Git: https://salsa.debian.org/med-team/kleborate.git
 Homepage: https://github.com/katholt/Kleborate

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,14 @@
 
 override_dh_install:
 	dh_install
-	# fasta.nin files will be (re)build at package installation time to not contain build path
+	# fasta.nin files will be (re)build at package installation time to not
+	# contain build path.  Other fasta.* are rebuilt by makeblastdb and may
+	# cause inconsistencies in the package itself when makeblastdb is
+	# upgraded and changes format, e.g. during a major operating system
+	# upgrade.  See Bug#1036743.
 	find debian -name "*.fasta.nin" -delete
+	find debian -name "*.fasta.ndb" -delete
+	find debian -name "*.fasta.ntf" -delete
 
 override_dh_fixperms:
 	dh_fixperms

## kleborate 2.3.2

=== debian/changelog ===
kleborate (2.3.2-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Étienne Mollier <emollier@debian.org>  Thu, 20 Jul 2023 00:23:19 +0200

## kleborate 2.4.1

=== debian/changelog ===
kleborate (2.4.1-6) unstable; urgency=medium

  * Team Upload
  * Patch-out python3-pkg-resources (Closes: #1125823)
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Sat, 14 Feb 2026 23:38:03 +0100

kleborate (2.4.1-5) unstable; urgency=medium

  * d/{rules,k.prerm}: extend cleanup to *.njs files.
    This change fixes problems of migration caused by inconsistencies
    upon package installation caught by piuparts.
  * d/control: declare compliance to standards version 4.7.2.
  * d/patches/*: normalize Last-Update timestamp.

 -- Étienne Mollier <emollier@debian.org>  Sat, 29 Mar 2025 11:24:42 +0100

kleborate (2.4.1-4) unstable; urgency=medium

  * Team Upload
  * Add runtime dep on python3-pkg-resources

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Feb 2025 23:27:28 +0100

kleborate (2.4.1-3) unstable; urgency=medium

  * d/control: delete remaining dependency on distutils. (Closes: #1065889)
  * bigendian.patch: unfuzz.

 -- Étienne Mollier <emollier@debian.org>  Sun, 10 Mar 2024 19:39:36 +0100

kleborate (2.4.1-2) unstable; urgency=medium

  [ Étienne Mollier ]
  * use_debian_installed_kaptive.patch: update.
    Remove another reference to the kaptive package in setup.py, in an
    attempt to fix build failures in particular contexts such as Salsa CI.
  * d/salsa-ci.yml: disable build on i386.
    mash is a missing dependency and not expected to make it to 32-bit.

  [ Andreas Tille ]
  * Remove distutils to work with Python3.12
    Closes: #1061805

 -- Andreas Tille <tille@debian.org>  Fri, 02 Feb 2024 07:05:54 +0100

kleborate (2.4.1-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * use_debian_installed_kaptive.patch: forwarding not needed.
  * d/lintian-overrides: new: flag false positives.
    Some .txt files are flagged as documentation outside /usr/share/doc,
    but those are actually data files.

 -- Étienne Mollier <emollier@debian.org>  Sat, 13 Jan 2024 17:28:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,33 @@
 Source: kleborate
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>,
-           Étienne Mollier <emollier@debian.org>
+Uploaders:
+ Andreas Tille <tille@debian.org>,
+ Étienne Mollier <emollier@debian.org>,
 Section: science
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3,
-               python3-setuptools,
-               ncbi-blast+ <!nocheck>,
-               mash <!nocheck>,
-               kaptive <!nocheck>
-Standards-Version: 4.6.2
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ kaptive <!nocheck>,
+ mash <!nocheck>,
+ ncbi-blast+ <!nocheck>,
+ python3,
+ python3-setuptools,
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/kleborate
 Vcs-Git: https://salsa.debian.org/med-team/kleborate.git
 Homepage: https://github.com/katholt/Kleborate
-Rules-Requires-Root: no
 
 Package: kleborate
 Architecture: any
-Depends: ${python3:Depends},
-         ${misc:Depends},
-         ncbi-blast+,
-         mash,
-         kaptive,
-         kaptive-data,
-         python3-distutils
-Recommends: python3-biopython
+Depends:
+ kaptive,
+ kaptive-data,
+ mash,
+ ncbi-blast+,
+ ${misc:Depends},
+ ${python3:Depends},
+Recommends:
+ python3-biopython,
 Description: tool to screen Klebsiella genome assemblies
  Kleborate is a tool to screen Klebsiella genome assemblies for:
  .
@@ -43,8 +44,10 @@
 
 Package: kleborate-examples
 Architecture: all
-Depends: ${misc:Depends}
-Recommends: kleborate
+Depends:
+ ${misc:Depends},
+Recommends:
+ kleborate,
 Multi-Arch: foreign
 Description: tool to screen Klebsiella genome assemblies (example data)
  Kleborate is a tool to screen Klebsiella genome assemblies for:

=== debian/watch ===
Version: 5

Template: GitHub
Owner: katholt
Project: Kleborate
